from ez_setup import use_setuptools
use_setuptools()
from setuptools import setup, find_packages
from finddata import find_package_data
from pkg_resources import DistributionNotFound

commands = dict()
try:
    from docgen import GenSite
    commands["docs"] = GenSite
except DistributionNotFound:
    pass

setup(
    cmdclass = commands,
    name="TurboGears",
    version="0.8.8",
    author="Kevin Dangoor",
    author_email="dangoor+turbogears@gmail.com",
    license="MIT",
    description="front-to-back rapid web development",
    long_description="""
TurboGears brings together four major pieces to create an
easy to install, easy to use web megaframework. It covers
everything from front end (MochiKit JavaScript for the browser,
Kid for templates in Python) to the controllers (CherryPy) to
the back end (SQLObject).

The TurboGears project is focused on providing documentation
and integration with these tools without losing touch
with the communities that already exist around those tools.

TurboGears is easy to use for a wide range of web applications.

The latest development version is available in <a href="http://www.turbogears.org/svn/turbogears/trunk#egg=turbogears-dev">the TurboGears subversion repository</a>.""",
    url="http://www.turbogears.org",
    zip_safe=False,
    install_requires = ["kid >= 0.8",
        "CherryPy >= 2.1.1",
        "SQLObject >= 0.7.1dev_r1457", "json-py >= 3.4",
        "elementtree >= 1.2.6",
        "cElementTree >= 1.0.2", "FormEncode >= 0.4",
        "setuptools >= 0.6a8", "TestGears >= 0.2"],
    packages=find_packages(),
    package_data = find_package_data(where='turbogears', 
                    package='turbogears',
                    exclude_directories=('.*', 'CVS', '_darcs', './build',
                                         './dist', 'EGG-INFO')),
    entry_points = {
        'console_scripts' : [
            'tg-admin = turbogears.command:main'
        ]
    },
    classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
    )
    
